# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "cloc-rs"
version = "0.4.5"
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "A simple CLI to count lines of code by extension with empty/import filtering"
readme = "README.md"
keywords = [
    "cloc",
    "cli",
    "lines-of-code",
    "count",
]
categories = [
    "command-line-utilities",
    "development-tools",
]
license = "MIT"

[lib]
name = "cloc_rs"
path = "src/lib.rs"

[[bin]]
name = "cloc-rs"
path = "src/main.rs"

[dependencies.clap]
version = "4.5"
features = ["derive"]

[dependencies.crossbeam-channel]
version = "0.5.15"

[dependencies.ignore]
version = "0.4.25"

[dependencies.prettytable-rs]
version = "0.10.0"

[dependencies.rayon]
version = "1.11.0"
